%define upstream_name	 Class-Inspector
%define upstream_version 1.36

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Get information about a class and its structure 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(base)
BuildArch:  noarch

%description
Class::Inspector allows you to get information about a loaded class.
Most or all of this information can be found in other ways, but they
aren't always very friendly, and usually involve a relatively high level
of Perl wizardry, or strange and unusual looking code. Class::Inspector
attempts to provide an easier, more friendly interface to this
information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Class
%{_mandir}/*/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.360.0-3.mga9
+ Revision: 1811792
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 1.360.0-2.mga8
+ Revision: 1527663
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Jul 21 2019 tv <tv> 1.360.0-1.mga8
+ Revision: 1423231
- update to 1.36

* Fri Mar 29 2019 tv <tv> 1.340.0-1.mga7
+ Revision: 1381129
- update to 1.34

* Thu Sep 20 2018 umeabot <umeabot> 1.320.0-3.mga7
+ Revision: 1282263
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.320.0-2.mga7
+ Revision: 1163373
- rebuild with fixed rpm for missing autodeps

* Fri Sep 15 2017 tv <tv> 1.320.0-1.mga7
+ Revision: 1154394
- new release

* Sat Jul 22 2017 shlomif <shlomif> 1.310.0-1.mga7
+ Revision: 1128451
- update to 1.31

* Sat Jun 18 2016 pterjan <pterjan> 1.280.0-8.mga6
+ Revision: 1023973
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 1.280.0-7.mga6
+ Revision: 932154
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.280.0-6.mga5
+ Revision: 742491
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.280.0-5.mga5
+ Revision: 727579
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.280.0-4.mga5
+ Revision: 683921
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.280.0-3.mga4
+ Revision: 510166
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.280.0-2.mga3
+ Revision: 364404
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 1.280.0-1.mga3
+ Revision: 314861
- update to 1.28

* Wed Jan 25 2012 jquelin <jquelin> 1.270.0-1.mga2
+ Revision: 200836
- update to 1.27

* Tue Feb 22 2011 jquelin <jquelin> 1.250.0-1.mga1
+ Revision: 56503
- update to 1.25

* Wed Jan 19 2011 jquelin <jquelin> 1.240.0-1.mga1
+ Revision: 23970
- cleanup spec file
- imported package perl-Class-Inspector


* Thu Jul 16 2009 Jérôme Quelin <jquelin@mandriva.org> 1.240.0-1mdv2010.1
+ Revision: 396562
- rebuild to make perl-Test-ClassAPI happy
- using %%perl_convert_version
- fixed license field

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.24-1mdv2010.0
+ Revision: 370041
- update to new version 1.24

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.23-2mdv2009.0
+ Revision: 268399
- rebuild early 2009.0 package (before pixel changes)

* Tue Jun 03 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.23-1mdv2009.0
+ Revision: 214510
- update to new version 1.23

* Mon Mar 03 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.22-1mdv2008.1
+ Revision: 177894
- update to new version 1.22

* Tue Feb 12 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.20-1mdv2008.1
+ Revision: 166568
- new version
- re-add buildroot titi kindly removed before making it a submission rejection reason...

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.18-1mdv2008.1
+ Revision: 109509
- update to new version 1.18

* Wed Aug 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.17-1mdv2008.0
+ Revision: 63924
- update to new version 1.17


* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.16-2mdv2007.0
- Rebuild

* Thu May 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.16-1mdk
- New release 1.16

* Tue May 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.15-1mdk
- New release 1.15

* Mon Apr 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.14-1mdk
- New release 1.14
- better source URL

* Wed Apr 05 2006 Buchan Milne <bgmilne@mandriva.org> 1.13-2mdk
- use mkrel

* Fri Sep 30 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.13-1mdk
- New release 1.13
- spec cleanup

* Wed Sep 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.12-1mdk
- New release 1.12

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.08-1mdk
- initial Mandriva package

